Affected Flow version: FLOW3 1.0.3
Subject: Creation of packages fails or they cannot be called later 
Description

I followed exactly the Quickstart-Guide provided with flow3 1.04 
I managed to get it running out of the box to the welcome-screen, then followed the written lines about setting some
environment-variables and creating a basic package

"flow3 kickstart:package MyCompany.MyPackage"

That seems to work as intended as 2 lines indicate the creation of directories in Installation-Path->Package->Application

But when I call them in my browser (Opera and Mozilla Firefox ) -> http://localhost/flow3/Web/MyCompany.MyPackage  ,
I get a nice error message:

Uncaught Exception in FLOW3
#1218473352: The action name must start with a lower case letter, "MyCompany" does not match this criteria. (More information)

TYPO3\FLOW3\MVC\Exception\InvalidActionNameException thrown in file
E:\xampp\htdocs\flow3\Data\Temporary\Development\Cache\Code\FLOW3_Object_Classes\TYPO3_FLOW3_MVC_Web_Request_
riginal.php in line 331.
Reference code: 20120416232925d34ff1

Unfortunately the "More information"-Link in the error-page leads to an empty page (There is currently no text in this page ......)

the same happens when I follow the Quickstart further and create Acme.Demo

When I try to "circumvent" the error by simply creating the packages using lowercase, I get an error from kickstart telling me I have to
use uppercase ... so a nice circular error-connection - or not so nice

History
#1 - 2012-04-17 01:03 - Sven Leuschner
- Assigned To set to Sven Leuschner
- % Done changed from 0 to 50

Well I solved that - thanks to a single screenshot from your quickstart-guide ....

Every URI contains the package names with Upercase-Start (as the kickstart:package - command requests as I worte before)

BUT in the single screenshot showing an example in Safari its clearly visible that in the URI the packageName+Controller should be written all
lowercase

so http://localhost/flow3/Web/Acme.Demo turns into http://localhost/flow3/Web/acme.demo and it works now
http://localhost/flow3/Web/MyCompany.MyPackage
http://localhost/flow3/Web/Acme.Demo
http://localhost/flow3/Web/acme.demo


I would really appreciate if the quickstart-guide could be adjusted to clearly tells you to use lowercase package-names when calling the created
package in your browsers'-address-line

thanks

#2 - 2012-04-18 22:45 - Karsten Dambekalns
- Target version changed from 1.0.4 to 1.0.5

#3 - 2012-05-21 17:25 - Karsten Dambekalns
- Status changed from New to Closed

Works fine with 1.0.4 here, the case of the URL does not make a difference. If this is still an issue with the latest 1.0.x version, please reopen and
supply additional information to help us reproduce the issue.
